DUMPE2FS(8)

NAZWA
dumpe2fs - wyrzuć dane o systemie plików

SKŁADNIA
dumpe2fs [ -bfhixV ] [ -ob superblok ] [ -oB rozmiar-bloku ] urządzenie

OPIS
dumpe2fs drukuje superblok i dane grupy bloków systemu plików znajdującego się na urządzeniu device.

dumpe2fs jest podobny do Berkeley'owskiego dumpfs dla systemu plików BSD Fast.

OPCJE

-b  Wypisz bloki, które są zaznaczone jako uszkodzone.

-ob superblok
    użyj bloku superblok podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem czarodzieja systemu plików (filesystem wizard), który bada resztki po mocno zniszczonym systemie plików.

-oB rozmiar-bloku
    użyj bloków o rozmiarze blocksize bajtów podczas badania systemu plików. Ta opcja zwykle nie jest potrzebna z wyjątkiem czarodzieja systemu plików (filesystem wizard), który bada resztki po mocno zniszczonym systemie plików.

-f  zmuś dumpe2fs aby wyświetlał system plików nawet wtedy, gdy może on mieć ustawione flagi, których dumpe2fs nie rozumie (i które mogą powodować to, że dumpe2fs nie chce ich wyświetlać).

-h  wyświetl tylko informacje na temat superbloku bez szczegółów o deskryptorach grup bloków.

-i  wyświetl dane systemu plików z obrazu znajdującego się w pliku, utworzonego przez e2image, używając urządzenie jako ścieżkę do pliku z obrazem.

-x  wyświetl szczegółowe informacje na temat grupy bloków w formie szesnastkowej

-V  wypisz numer wersji dumpe2fs i zakończ działanie.

BŁĘDY
Musisz znać strukturę fizyczną systemu pliku by zrozumieć wyjście.

AUTOR
dumpe2fs został napisany przez Remy'ego Carda <Remy.Card@linux.org>.

DOSTĘPNOŚĆ
dumpe2fs jest częścią pakietu e2fsprogs i jest dostępny na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
e2fsck(8), mke2fs(8), tune2fs(8)